Subject: Re: bug#28855: 26.0.90; display-line-numbers-mode does not respect (line|wrap)-prefix '(space :align-to N) text property

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Oct 2017 20:55:20 +0300

> Date: Wed, 18 Oct 2017 19:44:50 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], Stefan Monnier <[email-masked]>, 
>  John Wiegley <[email-masked]>
> 
>  > Martin, any comments or thoughts about this, before I go out and make
>  > the code changes to implement this?
> 
> I'd make the change.

OK, will do.

> If someone wants the current behavior, we could add
> a "special element" like 'line-number-display-start' such that
> 
> :align-to 0
> 
> would behave like
> 
> :align-to (+ line-number-display-start (line-number-display-width t))
> 
> for LTR text.

I don't think this addition would be needed, since :align-to already
supports several elements which I intend to leave alone: left-fringe,
left-margin, and scroll-bar.  Offsets relative to these will not be
affected by line numbers, because I don't think that would make sense.
Only 'left', 'center' and bare numerical offsets will be affected, and
'text' will be affected to yield the width of the text area sans the
space taken by line numbers.